/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */

:root {
  --ifm-color-primary: #0a656f;
  --ifm-color-primary-dark: #095b64;
  --ifm-color-primary-darker: #08565e;
  --ifm-color-primary-darkest: #07474e;
  --ifm-color-primary-light: #0b6f7a;
  --ifm-color-primary-lighter: #0b7480;
  --ifm-color-primary-lightest: #0d8390;
  --ifm-code-font-size: 95%;
}

html[data-theme='dark'] {
  --ifm-color-primary: #30d9a7;
  --ifm-color-primary-dark: #25ca99;
  --ifm-color-primary-darker: #23be90;
  --ifm-color-primary-darkest: #1d9d77;
  --ifm-color-primary-light: #46ddb1;
  --ifm-color-primary-lighter: #52dfb5;
  --ifm-color-primary-lightest: #73e5c4;
  --ifm-code-font-size: 95%;
}

.docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.1);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

html[data-theme='dark'] .docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.3);
}
